#include <STC12C5A60S2.H>
#include <ad9834.h>

/*****************************************************  
AD9834β  
*****************************************************/   
  

/**************************  
Ϳ  
**************************/   
void Send_Con(unsigned int Con_word)   
{   
   unsigned char i;    
   FSYNC =0;   			   //͵ƽʹЧ
   for(i=0;i<16;i++)   	   //16λ
   {   
      SDATA =Con_word&0x8000;   //λ䣬λSDATA 
      Con_word<<=1;   			//һλ׼һ
      SCLK =0;   				//½أSDATA
      SCLK =1;   
   }    
   FSYNC =1;    				//ߵƽЧ
}   
   
/****************************  
Ƶ  
****************************/   
void Send_Freq(unsigned int Freq_word)   
{   
   unsigned char i;     
   FSYNC =0;   			   //͵ƽʹЧ
   for(i=0;i<16;i++)   	   //16λƵ
   {   
      SDATA =Freq_word&0x8000;  //λ䣬λSDATA 
      Freq_word<<=1;   			//Ƶһλ׼һ
      SCLK =0;   				//½أSDATA
      SCLK =1;   
   }    
   FSYNC =1;    				//ߵƽЧ
}   
   
/*****************************  
λ  
ע趨ڲλ  
*****************************/   
void Send_Phase()   
{   
   Send_Con(0xC000);   //óλΪ0   
}   
   
   
/*******************************************************  
Ƶֵ   
Freq_value(value)=Freq_data(data)*FCLK/2^28  
2^28=268435456=0x10000000  
*******************************************************/   
void writing_Freq(unsigned char freq_number, unsigned long Freq_value)   
{  
    unsigned long FREQREG = (unsigned long)(268435456.0/FCLK*Freq_value);
    
    unsigned int LSB_D = (unsigned int)FREQREG;
    unsigned int MSB_D = (unsigned int)(FREQREG>>14);
    
    if(freq_number == FREQ_0)
    {
        LSB_D &= ~(1U<<15);
        LSB_D |= 1<<14;
        MSB_D &= ~(1U<<15);
        MSB_D |= 1<<14;
    }
    else
    {
        LSB_D &= ~(1<<14);
        LSB_D |= 1U<<15;
        MSB_D &= ~(1<<14);
        MSB_D |= 1U<<15;
    }
    
    Send_Freq(LSB_D);
    Send_Freq(MSB_D);
     
}
