//ʹQX-C51
//FSYNC = P1^0;   
//SCLK  = P1^1;
//SDATA = P1^2;   
//RESET = P1^3;
#include <STC12C5A60S2.H>
#include <ad9834.h>
#include <smg.h>
#include <key.h>

void main()
{
	SMG_INIT();
	Send_Phase();
	Send_Con(0x2028);  //Ҳ
	writing_Freq(FREQ_0, 1000000);
	while(1)
	{
		if(READ_S1()==KEY_ON)
		{
			Send_Con(0x2028);  //Ҳ
			writing_Freq(FREQ_0, 1000000);
			SMG_SPRINT(0,10);
			SMG_SPRINT(1,10);
			SMG_SPRINT(2,10);
			SMG_SPRINT(3,1);
		}
		if(READ_S2()==KEY_ON)
		{
			Send_Con(0x2028);  //Ҳ
			writing_Freq(FREQ_0, 2000000);
			SMG_SPRINT(0,10);
			SMG_SPRINT(1,10);
			SMG_SPRINT(2,10);
			SMG_SPRINT(3,2);
		}
		if(READ_S3()==KEY_ON)
		{
			Send_Con(0x2002);  //ǲ
			writing_Freq(FREQ_0, 1000000);
			SMG_SPRINT(0,10);
			SMG_SPRINT(1,10);
			SMG_SPRINT(2,10);
			SMG_SPRINT(3,3);
		}
		if(READ_S4()==KEY_ON)
		{
			Send_Con(0x2002);  //ǲ
			writing_Freq(FREQ_0, 2000000);
			SMG_SPRINT(0,10);
			SMG_SPRINT(1,10);
			SMG_SPRINT(2,10);
			SMG_SPRINT(3,4);
		}
	}
}